%define debug_package %{nil} 
%define	py_setup setup.py

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%define __python3               /usr/bin/python%{python3_pkgversion}
%endif

%if 0%{?centos} == 8
%define __python3               /usr/bin/python3.8
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^python.*dist

%define name dfvfs
%if 0%{?centos}0%{?amzn} == 70
%define version 20220917
%define unmangled_version 20220917
%else
%define version 20220917
%define unmangled_version 20220917
%endif
%define release 1%{?dist}
%define	_PYTHON python2

Summary:	Digital Forensics Virtual File System (dfVFS).
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{unmangled_version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		"Log2Timeline developer" <log2timeline-dev@googlegroups.com>
Url:		https://github.com/log2timeline/dfvfs/wiki

%description
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects
from various storage media types and file formats. The goal of dfVFS is to provide a generic
interface for accessing file-system objects, for which it uses several back-ends that provide
the actual implementation of the various storage media types, volume systems and file systems.

%package -n python%{python3_pkgversion}-%{name}
Summary:	Digital Forensics Virtual File System (dfVFS).
Obsoletes:	python2-%{name} < %{version}
BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools

################################################################################################
# These are the requires from the dpendencies.ini file of dfvfs, given in the order that they
# appear in that file
################################################################################################
Requires:	python%{python3_pkgversion}-cffi >= 1.9.1
Requires:	python%{python3_pkgversion}-cryptography >= 2.0.2
Requires:	python%{python3_pkgversion}-dfdatetime >= 20220816
Requires:	python%{python3_pkgversion}-dtfabric >= 20220219
Requires:	python%{python3_pkgversion}-idna >= 2.5
Requires:	libbde-python%{python3_pkgversion} >= 20220121
Requires:	libewf-python%{python3_pkgversion} >= 20131210
Requires:	libfsapfs-python%{python3_pkgversion} >= 20220709
Requires:	libfsext-python%{python3_pkgversion} >= 20220829
Requires:	libfsfat-python%{python3_pkgversion} >= 20220816
Requires:	libfshfs-python%{python3_pkgversion} >= 20220831
Requires:	libfsntfs-python%{python3_pkgversion} >= 20211229
Requires:	libfsxfs-python%{python3_pkgversion} >= 20220829
Requires:	libfvde-python%{python3_pkgversion} >= 20220121
Requires:	libfwnt-python%{python3_pkgversion} >= 20210717
Requires:	libluksde-python%{python3_pkgversion} >= 20220121
Requires:	libmodi-python%{python3_pkgversion} >= 20210405
Requires:	libphdi-python%{python3_pkgversion} >= 20220228
Requires:	libsigscan-python%{python3_pkgversion} >= 20191221
Requires:	libsmdev-python%{python3_pkgversion} >= 20140529
Requires:	libsmraw-python%{python3_pkgversion} >= 20140612
Requires:	python%{python3_pkgversion}-pytsk3 >= 20210419
Requires:	libvhdi-python%{python3_pkgversion} >= 20201014
Requires:	libvmdk-python%{python3_pkgversion} >= 20140421
Requires:	libvsgpt-python%{python3_pkgversion} >= 20211115
Requires:	libvshadow-python%{python3_pkgversion} >= 20160109
Requires:	libvslvm-python%{python3_pkgversion} >= 20160109
Requires:	python%{python3_pkgversion}-pyxattr >= 0.7.2
%if 0%{?fedora} <= 28
Requires:	python%{python3_pkgversion}-PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 29
Requires:	python%{python3_pkgversion}-pyyaml >= 3.10
%endif

Requires:	python%{python3_pkgversion}-crypto >= 2.6

%description -n python%{python3_pkgversion}-%{name}
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects
from various storage media types and file formats. The goal of dfVFS is to provide a generic
interface for accessing file-system objects, for which it uses several back-ends that provide
the actual implementation of the various storage media types, volume systems and file systems.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfvfs
%{python3_sitelib}/dfvfs*.egg-info

%changelog
%if 0%{?centos}0%{?amzn} != 70
* Sat Sep 17 2022 Lawrence R. Rogers <lrr@cert.org> 20220917-1
* Release 20220917-1
	Version 20220917
	Updated dependencies
%endif

* Tue Apr 19 2022 Lawrence R. Rogers <lrr@cert.org> 20220419-1
* Release 20220419-1
	Version 20220419
	Updated dependencies

* Mon Apr 18 2022 Lawrence R. Rogers <lrr@cert.org> 20220418-1
* Release 20220418-1
	Version 20220418

* Thu Apr 14 2022 Lawrence R. Rogers <lrr@cert.org> 20220414-1
* Release 20220414-1
	Version 20220414

* Fri Mar 11 2022 Lawrence R. Rogers <lrr@cert.org> 20220311-1
* Release 20220311-1
	Version 20220311
	Updated dependencies

* Thu Jan 27 2022 Lawrence R. Rogers <lrr@cert.org> 20220127-1
* Release 20220127-1
	Version 20220127
	Updated dependencies

* Tue Dec 28 2021 Lawrence R. Rogers <lrr@cert.org> 20211228-1
* Release 20211228-1
	Version 20211228

* Fri Dec 24 2021 Lawrence R. Rogers <lrr@cert.org> 20211224-1
* Release 20211224-1
	Version 20211224
	Updated dependencies

* Sun Nov  7 2021 Lawrence R. Rogers <lrr@cert.org> 20211107-1
* Release 20211107-1
	Version 20211107

* Sun Oct 17 2021 Lawrence R. Rogers <lrr@cert.org> 20211017-1
* Release 20211017-1
	Version 20211017
	Adjusted some dependency versions

* Sat Sep 18 2021 Lawrence R. Rogers <lrr@cert.org> 20210918-1
* Release 20210918-1
	Version 20210918

* Sun Jun  6 2021 Lawrence R. Rogers <lrr@cert.org> 20210606-1
* Release 20210606-1
	Version 20210606

* Mon May 31 2021 Lawrence R. Rogers <lrr@cert.org> 20210531-1
* Release 20210531-1
	Version 20210531

* Sun May 30 2021 Lawrence R. Rogers <lrr@cert.org> 20210530-1
* Release 20210530-1
	Version 20210530

* Fri May 28 2021 Lawrence R. Rogers <lrr@cert.org> 20210528-1
* Release 20210528-1
	Version 20210528

* Sat May 22 2021 Lawrence R. Rogers <lrr@cert.org> 20210509-1
* Release 20210509-1
	Version 20210509

* Mon May  3 2021 Lawrence R. Rogers <lrr@cert.org> 20210501-2
* Release 20210501-2
	Version 20210501
	Used wrong source file.

* Sat May  1 2021 Lawrence R. Rogers <lrr@cert.org> 20210501-1
* Release 20210501-1
	Version 20210501

* Sat Feb 13 2021 Lawrence R. Rogers <lrr@cert.org> 20210213-1
* Release 20210213-1
	Version 20210213

* Sun Feb  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210207-1
* Release 20210207-1
	Version 20210207

* Fri Feb  5 2021 Lawrence R. Rogers <lrr@cert.org> 20210205-1
* Release 20210205-1
	Version 20210205

* Mon Jan 25 2021 Lawrence R. Rogers <lrr@cert.org> 20210125-1
* Release 20210125-1
	Version 20210125

* Wed Jan 20 2021 Lawrence R. Rogers <lrr@cert.org> 20210120-1
* Release 20210120-1
	Version 20210120
	Added libvsgpt dependency

* Sat Dec 19 2020 Lawrence R. Rogers <lrr@cert.org> 20201219-1
* Release 20201219-1
	Version 20201219
	Updated dependencies

* Wed Dec  2 2020 Lawrence R. Rogers <lrr@cert.org> 20201202-1
* Release 20201202-1
	Version 20201202

* Wed Nov 18 2020 Lawrence R. Rogers <lrr@cert.org> 20201118-1
* Release 20201118-1
	Version 20201118

* Sun Nov 15 2020 Lawrence R. Rogers <lrr@cert.org> 20201115-1
* Release 20201115-1
	Version 20201115
	Updated dependencies

* Sat Nov  7 2020 Lawrence R. Rogers <lrr@cert.org> 20201107-1
* Release 20201107-1
	Version 20201107
	Updated dependencies

* Thu Nov  5 2020 Lawrence R. Rogers <lrr@cert.org> 20201105-1
* Release 20201105-1
	Version 20201105
	Updated dependencies

* Sun Oct 18 2020 Lawrence R. Rogers <lrr@cert.org> 20201018-1
* Release 20201018-1
	Version 20201018
	Updated dependencies
	Removed Python 2 references

* Thu Jun 25 2020 Lawrence R. Rogers <lrr@cert.org> 20200625-1
* Release 20200920-1
	Version 20200920
	Updated dependencies

* Thu Jun 25 2020 Lawrence R. Rogers <lrr@cert.org> 20200625-1
* Release 20200625-1
	Version 20200625

* Wed Apr 29 2020 Lawrence R. Rogers <lrr@cert.org> 20200429-1
* Release 20200429-1
	Version 20200429

* Tue Feb 11 2020 Lawrence R. Rogers <lrr@cert.org> 20200211-1
* Release 20200211-1
	Version 20200211

* Tue Feb  4 2020 Lawrence R. Rogers <lrr@cert.org> 20200121-2
* Release 20200121-2
	Python 3 package now obsoletes Python 2 package.

* Tue Jan 21 2020 Lawrence R. Rogers <lrr@cert.org> 20200121-1
* Release 20200121-1
	Version 20200121
	Python 2 is now optional and off by default.

* Sun Jul 14 2019 Lawrence R. Rogers <lrr@cert.org> 20190714-1
* Release 20190714-1
	Version 20190714

* Sun Jun  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190609-1
* Release 20190609-1
	Version 20190609

* Sun Jun  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190511-1
* Release 20190511-1
	Version 20190511

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 20190421-2
* Release 20190421-2
	Version 20190421-2: Uses python3_pkgversion for the current version of Python 3.

* Mon Apr 22 2019 Lawrence R. Rogers <lrr@cert.org> 20190421-1
* Release 20190421-1
	Version from 20190421

* Fri Mar  1 2019 Lawrence R. Rogers <lrr@cert.org> 20190301-1
* Release 20190301-1
	Version from 20190301

* Wed Feb 13 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-4
* Release 20190128-4
	Removed pysqlite from the Python 3 version

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-3
* Release 20190128-3
	Removed python3-backports-lzma since lzma is part of Python 3.3 and beyond
	Properly specified libewf dependency for python 3

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-2
* Release 20190128-2
	Version from 20190128

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-1
* Release 20190128-1
	Version from 20190128

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-3
* Release 20190122-3
	Version from 20190122
	Uses the python2/python3 names for dependencies.

* Thu Jan 24 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-2
* Release 20190122-2
	Version from 20190122
	Built for Python 2 and 3

* Tue Jan 22 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-1
* Release 20190122-1
	Version from 20190122

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version from 20181215

* Sun Dec  2 2018 Lawrence R. Rogers <lrr@cert.org> 20181202-1
* Release 20181202-1
	Version from 20181202

* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version from 20181128

* Sat Nov 24 2018 Lawrence R. Rogers <lrr@cert.org> 20181124-1
* Release 20181124-1
	Version from 20181124

* Fri Aug 31 2018 Lawrence R. Rogers <lrr@cert.org> 20180831-1
* Release 20180831-1
	Version from 20180831

* Mon Aug 27 2018 Lawrence R. Rogers <lrr@cert.org> 20180827-1
* Release 20180827-1
	Version from 20180827

* Tue Jul  3 2018 Lawrence R. Rogers <lrr@cert.org> 20180703-1
* Release 20180703-1
	Version from 20180703

* Thu May 10 2018 Lawrence R. Rogers <lrr@cert.org> 20180510-1
* Release 20180510-1
	Version from 20180510

* Mon Mar 26 2018 Lawrence R. Rogers <lrr@cert.org> 20180326-1
* Release 20180326-1
	Version from 20180326

* Sat Dec 30 2017 Lawrence R. Rogers <lrr@cert.org> 20171228-1
* Release 20171228-1
	Version from 20171230

* Thu Dec 28 2017 Lawrence R. Rogers <lrr@cert.org> 20171228-1
* Release 20171228-1
	Version from 20171228

* Sun Dec 17 2017 Lawrence R. Rogers <lrr@cert.org> 20171217-1
* Release 20171217-1
	Version from 20171217

* Sun Dec  3 2017 Lawrence R. Rogers <lrr@cert.org> 20171203-1
* Release 20171203-1
	Version from 20171203

* Sun Oct 22 2017 Lawrence R. Rogers <lrr@cert.org> 20171022-1
* Release 20171022-1
	Version from 20171022

* Sun Jul 23 2017 Lawrence R. Rogers <lrr@cert.org> 20170723-1
* Release 20170723-1
	Version from 20170723

* Fri Mar 24 2017 Lawrence R. Rogers <lrr@cert.org> 20170324-1
* Release 20170324-1
	Version from 20170324

* Tue Oct 25 2016 Lawrence R. Rogers <lrr@cert.org> 20160918-2
* Release 20160918-2
	Changed dependency from pytsk to pytsk3.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160918-1
* Release 20160918-1
	Version from 20160918

* Wed Jul 27 2016 Lawrence R. Rogers <lrr@cert.org> 20160726-1
* Release 20160726-1
	Version built on 20160726 but using source code dated 20160306

* Mon Jul  4 2016 Lawrence R. Rogers <lrr@cert.org> 20160704-1
* Release 20160704-1
	Version from 20160704
	Now also requires libfwnt-python >= 20160418
	Now also requires python-dfdatetime >= 20160610

* Sun Mar  6 2016 Lawrence R. Rogers <lrr@cert.org> 20160306-1
* Release 20160306-1
	Version from 20160306

* Wed Feb  3 2016 Lawrence R. Rogers <lrr@cert.org> 20160108-1
* Release 20160108-1
	Version from 20160108

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160108-1
* Release 20160108-1
	Version from 20160108

* Sun Dec 27 2015 Lawrence R. Rogers <lrr@cert.org> 20151227-1
* Release 20151227-1
	Version from 20151227

* Fri Dec 18 2015 Lawrence R. Rogers <lrr@cert.org> 20151218-1
* Release 20151218-1
	Version from 20151218

* Thu Oct  8 2015 Lawrence R. Rogers <lrr@cert.org> 20151008-1
* Release 20151008-1
	Version from 20151008

* Tue Sep 15 2015 Lawrence R. Rogers <lrr@cert.org> 20150915-1
* Release 20150915-1
	Version from 20150915

* Thu Jul 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150730-1
* Release 20150730-1
	Version from 20150730

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150708-1
	Version from 20150708

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150630-1
	Version from 20150630

* Fri Jun 12 2015 Lawrence R. Rogers <lrr@cert.org> 20150612-1
* Release 20150612-1
	Version from 20150612

* Tue Apr 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150414-1
* Release 20150414-1
	Version from 20150414

* Tue Mar  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150303-1
* Release 20150303-1
	Version from 20150303

* Tue Feb 24 2015 Lawrence R. Rogers <lrr@cert.org> 20150224-1
* Release 20150224-1
	Version from 20150224

* Tue Feb 17 2015 Lawrence R. Rogers <lrr@cert.org> 20150217-1
* Release 20150217-1
	Version from 20150217

* Tue Feb  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150203-1
* Release 20150203-1
	Version from 20150129 plus patch from 29150203

* Thu Jan 29 2015 Lawrence R. Rogers <lrr@cert.org> 20150129-1
* Release 20150129-1
	Version from 20150129

* Wed Jan 28 2015 Lawrence R. Rogers <lrr@cert.org> 20150127-1
* Release 20150127-1
	Version from 20150127

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 20141220-1
* Release 20141220-1
	Version from 20141220

* Sat Nov  8 2014 Lawrence R. Rogers <lrr@cert.org> 20141108-1
* Release 20141108-1
	No longer scans VSS snapshot volumes by default.

* Tue Oct 28 2014 Lawrence R. Rogers <lrr@cert.org> 20141028-1
* Release 20141028-1
	See the changes listed at https://github.com/log2timeline/dfvfs

* Sun Sep 28 2014 Lawrence R. Rogers <lrr@cert.org> 20140928-1
* Release 20140928-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Sun Aug 24 2014 Lawrence R. Rogers <lrr@cert.org> 20140824-1
* Release 20140824-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Sun Jul 27 2014 Lawrence R. Rogers <lrr@cert.org> 20140727-1
* Release 120140727-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Wed Jul 02 2014 Lawrence R. Rogers <lrr@cert.org> 20140608-1
* Release 120140608-1
	Initial release
